Package com.collabnet.ce.soap60.webservices.tag

# Class TagSoapMarshaler

java.lang.Object
com.collabnet.ce.soap60.marshaling.AbstractStatelessSoapMarshaler
com.collabnet.ce.soap60.marshaling.AbstractSoapMarshaler
com.collabnet.ce.soap60.webservices.tag.TagSoapMarshaler

All Implemented Interfaces:
  `SoapMarshaler`

Direct Known Subclasses:
  `TagSoapDOMarshalar`, `TagSoapListMarshaler`, `TagSoapRowMarshaler`

public abstract class TagSoapMarshaler extends AbstractSoapMarshaler
Tag SOAP Marshaler

Since:
  17.4

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TagSoapMarshaler()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected static String`
  `getUserName(String userId, com.vasoftware.sf.server.types.UserSessionKey sessionKey)`
  Gets the userName for a specified userID
  `protected void`
  `protectedSoapToRmi(Object soapObject, Object rmiObject)`
  Marshals data from a soap object to a given rmi object.
  `Object`
  `soapToRmi(Object soapObject)`
  Converts a SOAP object to an object type required by RMI APIs.

  ### Methods inherited from class com.collabnet.ce.soap60.marshaling.AbstractSoapMarshaler

  `getCoreService, protectedRmiToSoap`

  ### Methods inherited from class com.collabnet.ce.soap60.marshaling.AbstractStatelessSoapMarshaler

  `isStateless`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface com.collabnet.ce.soap60.marshaling.SoapMarshaler

  `rmiToSoap`

- ## Constructor Details

  - ### TagSoapMarshaler

    public TagSoapMarshaler()

- ## Method Details

  - ### soapToRmi

    public Object soapToRmi(Object soapObject) throws SoapMarshalingException
    Description copied from interface: `SoapMarshaler`
    Converts a SOAP object to an object type required by RMI APIs.
    Parameters:
      `soapObject` - SOAP object to marshal.
    Returns:
      Object required by RMI APIs.
    Throws:
      `SoapMarshalingException` - when an error is encountered during marshaling.
    See Also:
      - `SoapMarshaler.soapToRmi(java.lang.Object)`

  - ### protectedSoapToRmi

    protected void protectedSoapToRmi(Object soapObject, Object rmiObject) throws SoapMarshalingException
    Description copied from class: `AbstractSoapMarshaler`
    Marshals data from a soap object to a given rmi object. This protected method is primarily used by marshaler classes to marshal members from a super-class marshaler.
    Overrides:
      `protectedSoapToRmi` in class `AbstractSoapMarshaler`
    Parameters:
      `soapObject` - SOAP object.
      `rmiObject` - RMI object.
    Throws:
      `SoapMarshalingException` - when an error is encountered during marshaling.
    See Also:
      - `SoapMarshaler.soapToRmi(java.lang.Object)`

  - ### getUserName

    protected static String getUserName(String userId, com.vasoftware.sf.server.types.UserSessionKey sessionKey)
    Gets the userName for a specified userID
    Parameters:
      `userId` - the user id
    Returns:
      the username